# Specification file to create an RPM package for sswf (Script to SWF)
# Written by Alexis Wilke for Made to Order Software, Ltd. (c) 2002-2005
#
# Copyright (c) 2002-2005 Made to Order Software, Ltd.
#
# Permission is hereby granted, free of charge, to any
# person obtaining a copy of this software and
# associated documentation files (the "Software"), to
# deal in the Software without restriction, including
# without limitation the rights to use, copy, modify,
# merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom
# the Software is furnished to do so, subject to the
# following conditions:
#
# The above copyright notice and this permission notice
# shall be included in all copies or substantial
# portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF
# ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
# LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
# FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO
# EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#


Summary: SSWF library and compiler to create Flash movies
Name: sswf
Version: <VERSION>
Release: 2
Copyright: MIT License
Group: WebDevelopment/Tools
Vendor: Made to Order Software, Ltd.
Source0: sswf-<VERSION>-src.tar.gz
Source1: sswf-<VERSION>-doc.tar.gz
BuildRoot: %{_topdir}/%{name}-root
URL: http://sswf.sourceforge.net
Packager: Alexis Wilke (alexis_wilke@users.sourceforge.net)
Requires: zlib libjpeg6a freetype
Provides: sswf swf_dump ft2sswf libsswf-<VERSION>.so libsswf.so libsswf.a
Distribution: SSWF RPM
BuildRequires: bison

%description
The SSWF tool is a compiler which generates Flash movies
from a list of .sswf script files. It uses the SSWF library
which comes along.

This package includes all the binaries available in the SSWF
project, the SSWF library, the documentations and some script
samples to get you started.

At this time, the binaries are: sswf, swf_dump and ft2sswf.

%prep
%setup -b 1

%build

# The <percent>configure doesn't use the correct parameters to create
# the Makefile in the source location (weird); this maybe because
# I have an older version of rpmbuild too...
#<percent>configure
# results in:
#configure --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu
#	--target=i486-redhat-linux --program-prefix=
#	--prefix=/usr --exec-prefix=/usr --bindir=/usr/bin
#	--sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share
#	--includedir=/usr/include --libdir=/usr/lib
#	--libexecdir=/usr/libexec --localstatedir=/var
#	--sharedstatedir=/usr/com --mandir=/usr/share/man
#	--infodir=/usr/share/info

./configure --prefix=%{buildroot}%{_prefix} --mandir=%{buildroot}%{_mandir}
make

%install
if test ! "%{buildroot}" = "/"; then
	rm -rf %{buildroot}
fi

make install

#	prefix=%{buildroot}%{_prefix} \
#	exec_prefix=%{buildroot}%{_exec_prefix} \
#	bindir=%{buildroot}%{_bindir} \
#	sbindir=%{buildroot}%{_sbindir} \
#	sysconfdir=%{buildroot}%{_sysconfdir} \
#	datadir=%{buildroot}%{_datadir} \
#	includedir=%{buildroot}%{_includedir} \
#	libdir=%{buildroot}%{_libdir} \
#	libexecdir=%{buildroot}%{_libexecdir} \
#	localstatedir=%{buildroot}%{_localstatedir} \
#	sharedstatedir=%{buildroot}%{_sharedstatedir} \
#	docdir=%{buildroot}%{_docdir} \
#	mandir=%{buildroot}%{_mandir} \
#	infodir=%{buildroot}%{_infodir} \
#	rpminstall

%clean
if test ! "%{buildroot}" = "/"; then
	rm -rf %{buildroot}
fi

make clean

%files
%defattr(-, root, root)
%doc README.txt doc/*.txt


# Binaries
%{_bindir}/*

# Libraries & includes
%{_libdir}/*
%{_includedir}/sswf/*

# Manual pages
%{_mandir}/man1/*

# Scripts to include
%{_datadir}/sswf/scripts/*

# Documentation
%{_datadir}/sswf/*.txt
%{_datadir}/sswf/html/*

# Samples
%{_datadir}/sswf/samples/*

# Miscellaneous
#<percent>{_datadir}/sswf/vim/syntax/*

%changelog
* Thu Oct 25 2004 Alexis Wilke <alexis@m2osw.com> 1.7.0-2
- Changes to the .spec file so the configure script is being used

* Mon Nov 04 2002 Alexis Wilke <alexis@m2osw.com> 1.4.3-1
- Initial RMP

