/* libsswf_tags.c++ -- written by Alexis WILKE for Made to Order Software, Ltd. (c) 2002-2005 */

/*

Copyright (c) 2002-2005 Made to Order Software, Ltd.

Permission is hereby granted, free of charge, to any
person obtaining a copy of this software and
associated documentation files (the "Software"), to
deal in the Software without restriction, including
without limitation the rights to use, copy, modify,
merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom
the Software is furnished to do so, subject to the
following conditions:

The above copyright notice and this permission notice
shall be included in all copies or substantial
portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF
ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO
EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

*/

#include	"sswf/libsswf.h"

using namespace sswf;


/////////////////////////////////////////// TagScriptLimits

TagScriptLimits::TagScriptLimits(TagBase *parent)
	: TagBase("scriptlimits", parent)
{
	f_depth = 0;
	f_timeout = 0;
}



TagBase::swf_type_t TagScriptLimits::TypeFlags(void) const
{
	return SWF_TYPE_DEFINE;
}


void TagScriptLimits::SetMaxRecursionDepth(int depth)
{
	f_depth = depth;
}


void TagScriptLimits::SetTimeoutSeconds(int timeout)
{
	f_timeout = timeout;
}


int TagScriptLimits::GetMaxRecursionDepth(void) const
{
	return f_depth;
}


int TagScriptLimits::GetTimeoutSeconds(void) const
{
	return f_timeout;
}


int TagScriptLimits::PreSave(void)
{
	MinimumVersion(7);

	return 0;
}


int TagScriptLimits::Save(Data& data)
{
	SaveTag(data, SWF_TAG_SCRIPT_LIMITS, 4);

	// the defaults are as defined in the version 7 documentation of SWF
	data.PutShort((unsigned short) (f_depth   == 0 ? 256 : f_depth));
	data.PutShort((unsigned short) (f_timeout == 0 ?  20 : f_timeout));

	return 0;
}


